## Bug Reports

In short, since you are most likely a developer, provide a ticket that you _yourself_ would _like_ to receive.

First check if you are using the latest xcenv version before filing a ticket.
You can install the latest version with `$ brew upgrade xcenv`.

If questions in the error template are left unanswered, the issue will be closed
as a bad bug report.

If you are familiar with bash and bats, making a pull request with a failing test case
can speed up the resolution of the bug.

## Feature Requests

Please try to be precise about the proposed outcome of the feature and how it
would related to existing features.

## Pull Requests

We **love** pull requests. 

All contributions _will_ be licensed under the MIT license.

Code/comments should adhere to the following rules:

* Names should be descriptive and concise.
* All changes require test coverage to ensure it does not break during refactor
  work. (We will gladly help with writing unit tests)
* When writing comments, use properly constructed sentences, including
  punctuation.
* Remember that source code usually gets written once and read often: ensure
  the reader doesn't have to make guesses. Make sure that the purpose and inner
  logic are either obvious to a reasonably skilled professional, or add a
  comment that explains it.
* The message of the commit should be prefixed by the name of the file which is
  the main focus of the patch enclosed by square brackets (.e.g. `[Local]
  local can infer Xcode from xcodeproj file`).

## [No Brown M&M’s](http://en.wikipedia.org/wiki/Van_Halen#Contract_riders)

If you made it all the way to the end, bravo dear user, we love you. You can include
this emoji in the top of your ticket to signal to us that you did in fact read this
file and are trying to conform to it as best as possible: 🍏